# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 470.57.01


Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"

    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "HDMI-0"
    VendorName     "Unknown"
    ModelName      "CHR HDMI-VGA"
    VertRefresh     24.0 - 120.1
    ModeLine       "1280x960_120i" 105.90 1280 1360 1496 1712 960 962 968 1030 -hsync +vsync interlace
    Option         "DPMS"
#    Option	   "CustomEDID" HDMI-0: /etc/edid/960i.bin"
#    Option         "ModeValidation" "AllowNonEdidModes, NoVertRefreshCheck, NoHorizSyncCheck, NoDFPNativeResolutionCheck, NoMaxSizeCheck, NoMaxPClkCheck, NoEDIDModes" 
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "SAMSUNG"
    HorizSync       28.0 - 55.0
    VertRefresh     24.0 - 120.1
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "NVIDIA GeForce GTX 1080"
    Option         "Monitor-HDMI-0" "HDMI-0"
EndSection

Section "Screen"

# Removed Option "nvidiaXineramaInfoOrder" "DFP-7"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "ExactModeTimingsDVI" "true"
#    Option         "ModeValidation" "AllowNonEdidModes,NoEdidMaxPClkCheck,NoMaxPClkCheck"
    Option         "ModeValidation" "AllowNonEdidModes, NoVertRefreshCheck, NoHorizSyncCheck, NoDFPNativeResolutionCheck, NoMaxSizeCheck, NoMaxPClkCheck"
    Option         "UseEDIDFreqs" "Off"
    Option         "UseNvKmsCompositionPipeline" "Off"
    #    Option         "ModeValidation" "AllowNonEdidModes"
    Option         "Stereo" "0"
    Option         "nvidiaXineramaInfoOrder" "DFP-1"
    Option         "metamodes" "DP-5: 1368x768_60 +2560+1080, HDMI-0: 1280x960_120i +1280+1080, DP-0: nvidia-auto-select +0+0, DP-3: 1920x1080_60 +1011+2040 {viewportout=1818x1022+51+28}"
    Option         "SLI" "Off"
    Option         "MultiGPU" "Off"
    Option         "BaseMosaic" "off"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

